<%= form_for(@input, :url => {:controller => 'manage_products', :action => 'edit_input', :id => @input},
            :html => {:method => 'post', :id => "edit-input-#{ @input.id }-form"}) do |f| %>

  <%= hidden_field_tag 'input-bar-update-url', @input.product.price_composition_bar_display_url, :class => 'bar-update-url' %>
  <%= hidden_field_tag 'inputs-cost-update-url', @input.product.inputs_cost_update_url %>

  <table>
    <tr>
      <td><%= f.label :amount_used, label_amount_used(@input), :class => 'formlabel' %></td>
      <td class='formfield'><%= f.text_field(:amount_used, :value => @input.formatted_amount, :class => 'numbers-only amount-used') + select_unit(@input) %></td>
    </tr>
    <tr>
      <td><%= f.label :price_per_unit, _('Price %s (%s)') % [display_price_by(@input.unit), environment.currency_unit], :class => 'formlabel' %></td>
      <td class='formfield'><%= f.text_field(:price_per_unit, :value => @input.formatted_value(:price_per_unit), :class => 'numbers-only price-per-unit') %></td>
    </tr>
    <tr>
      <td class='formlabel'><%= _("This input or raw material inpact on the final price of the product?") %></td>
      <td>
        <%= radio_button :input, 'relevant_to_price', true %>
        <label for="input_relevant_to_price"><%= _('Yes') %></label>
        <%= radio_button :input, 'relevant_to_price', false %>
        <label for="input_relevant_to_price"><%= _('No') %></label>
      </td>
    </tr>
    <tr>
      <td class='formlabel'><%= _('Is it from solidarity economy?') %></td>
      <td>
        <%= radio_button :input, 'is_from_solidarity_economy', true %>
        <label for="input_is_from_solidarity_economy"><%= _('Yes') %></label>
        <%= radio_button :input, 'is_from_solidarity_economy', false %>
        <label for="input_is_from_solidarity_economy"><%= _('No') %></label>
      </td>
    </tr>
    <tr>
      <td colspan='2'>
        <%= submit_button :save, _('Save'), :title => _('Save changes of this input or raw material') %>
        <%= button :cancel, _('Cancel'), '#', :class => 'cancel-edit-input', :id => "cancel-edit-input-#{@input.id}", :title => _('Cancel changes of this input or raw material') %>
      <td>
    <tr>
  </table>
<% end %>

<%= javascript_tag "edit_input_stuff(#{@input.id}, '#{environment.currency_separator}')" %>
